콘텐츠로 건너뛰기

Kling 1.6 · Pro · Effects

통합

모델 id kling-video/v1.6/pro/effects
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v1.6/pro/effects?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "effect_scene": "heart_gesture"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.49 490 API 크레딧 이 페이지에서 실행

API 키 받기

Kling 1.6 Pro 이미지 효과: 한 장 또는 두 장의 이미지에 사전 설정 효과 장면 적용, 5초 또는 10초 클립

Kling · 동영상

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

duration 5 s

초 단위로 측정한 출력 동영상 길이입니다.

•필수

효과 장면 선택입니다. 여러 이미지 옵션인 heart_gesture를 제외하면 단일 이미지 효과를 제공합니다.

고급 input_image_urls · enable_safety_checker
파일을 끌어다 놓거나

효과 입력 이미지 URL입니다. heart_gesture에는 2개, 다른 효과에는 1개가 필요합니다.

POST /run/kling-video/v1.6/pro/effects?wait=20 견적 → $0.49
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v1.6/pro/effects?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "effect_scene": "heart_gesture"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Kling 1.6 · Pro · Effects 정보

swish_swish, birthday_star, drunk_dance 등 `effect_scene`으로 선택한 91개 사전 설정 효과 중 하나를 이미지에 적용합니다. heart_gesture는 `input_image_urls`에 이미지 두 장이 필요하고 다른 모든 효과는 한 장이 필요합니다. `duration`은 5초 또는 10초입니다.

매개변수

이름유형 기본값허용됨 설명
enable_safety_checker선택 사항
유형boolean
기본값true
안전 검사는 계정 인증이 있을 때만 비활성화할 수 있으며, 인증되지 않은 요청에는 항상 검사가 적용됩니다.
input_image_urls선택 사항
유형url[] · image
효과 입력 이미지 URL입니다. heart_gesture에는 2개, 다른 효과에는 1개가 필요합니다.
effect_scene필수
유형enum
heart_gesturebullet_time_360swish_swishrunning_manswing_swingbuilding_sweaterpure_white_wingsblack_wingsgolden_wingpink_pink_wingscountdown_teleportinstant_christmasbirthday_startiger_hug_propet_lion_prodrunk_dance
+75개 더 보기drunk_dance_petdaoma_dancebouncy_dancesmooth_sailing_dancenew_year_greetinglion_danceprosperitygreat_successgolden_horse_fortunered_packet_boxlucky_horse_yearlucky_red_packetlucky_money_comelion_dance_petdumpling_making_petfish_making_petpet_red_packetlantern_glowexpression_challengeoverdriveheart_gesture_dancepopingmartial_artsrunningnezhamotorcycle_dancesubject_3_danceghost_step_dancephantom_jewelzoom_outcheers_2026kiss_profight_prohug_proheart_gesture_prodollar_rain_propet_bee_prosanta_random_surprisemagic_match_treehappy_birthdaythumbs_up_prosurprise_bouquetbouquet_dropglamour_photo_shootbox_of_joyfirst_toast_of_the_yearmy_santa_picsanta_giftsteampunk_christmassnowglobechristmas_photo_shootornament_crashsanta_expresscoronation_of_frostspark_in_the_snowscarlet_and_snowbullet_time_litejumping_ginger_joyvenomous_spiderthrone_of_kingluminous_elfwoodland_elfsnowboardingwitch_transformvampire_transformpumpkin_head_transformdemon_transformmummy_transformzombie_transformcute_pumpkin_transformhalloween_escapekorean_baseballgirlfriendboyfriendsplashsplash
효과 장면 선택입니다. 여러 이미지 옵션인 heart_gesture를 제외하면 단일 이미지 효과를 제공합니다.
duration선택 사항
유형enum
기본값5
510
초 단위로 측정한 출력 동영상 길이입니다.
필수

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/v1.6/pro/effects",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 490,
    "usd": "0.49",
    "charged": 490,
    "refunded": 0
  },
  "input": {
    "effect_scene": "heart_gesture"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size}모델이 생성한 동영상입니다.

더 많은 모델: 텍스트를 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/kling-video/v1.6/pro/effects.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt